Parse command line arguments in common.sh
[ext/instance-debootstrap.git] / rename
diff --git a/rename b/rename
index 66c5409..d7cf756 100755 (executable)
--- a/rename
+++ b/rename
 
 set -e
 
-TEMP=`getopt -o o:n:b:s: -n '$0' -- "$@"`
-
-if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
-
-# Note the quotes around `$TEMP': they are essential!
-eval set -- "$TEMP"
-
-while true; do
-       case "$1" in
-               -o) old_name=$2; shift 2;;
-
-               -n) new_name=$2; shift 2;;
-
-               -b) blockdev=$2; shift 2;;
-
-               -s) swapdev=$2; shift 2;;
-
-               --) shift; break;;
-
-               *)  echo "Internal error!"; exit 1;;
-       esac
-done
-if [ -z "$old_name" -o -z "$new_name" -o -z "$blockdev" -o -z "$swapdev" ]; then
-       echo "Missing -o or -n or -b or -s argument!"
-       exit 1
-fi
+. common.sh
 
 TMPDIR=`mktemp -d` || exit 1
 trap "umount $TMPDIR; rmdir $TMPDIR" EXIT
@@ -63,17 +38,17 @@ MNAME="$TMPDIR/etc/mailname"
 # for hostname, we raise and error if the old hostname is not what we
 # expect
 OLD_HNAME="`cat $HNAME`"
-if [ "$OLD_HNAME" = "$old_name" ]; then
+if [ "$OLD_HNAME" = "$instance" ]; then
        echo $new_name > $HNAME
 else
-       echo "Cannot rename from $old_name to $new_name:" 1>&2
+       echo "Cannot rename from $instance to $new_name:" 1>&2
        echo "Instance has a different hostname ($OLD_HNAME)" 1>&2
        exit 1
 fi
 
-# for mailname, we rename only if it has the old_name, otherwise we
+# for mailname, we rename only if it has the old name, otherwise we
 # ignore it (and assumme that it's a customized name)
-if [ "`cat $MNAME`" = "$old_name" ]; then
+if [ "`cat $MNAME`" = "$instance" ]; then
        echo $new_name > $MNAME
 fi